function [effpressure_inner] = findInnerPressureProfile(effpressure_outer,N0,alpha,kappa,Pe,porosity_outer,z,zct,delta)

% find outer porosity at zct
[d,ix] = min(abs(z-zct));
phi_outerzct = porosity_outer(ix);

lambda = sqrt((Pe-alpha.*kappa.*porosity_outer.^(alpha-1))./(Pe.*kappa.*porosity_outer.^alpha));
lambda = real(lambda);

effpressure_inner = effpressure_outer+(N0-effpressure_outer(1)).*exp(-lambda.*z.*(1./(delta.^(1/2))));
effpressure_inner(z>zct) = 0;

end